Ingest raw Splunk HEC events
Use this endpoint to ingest raw payloads through the Splunk HTTP Event Collector (HEC) compatible API. For a walkthrough, see Send data using the Splunk HEC API.
The base domain for this endpoint is hec. prefixed to the base domain of your edge deployment. For example, if your edge deployment’s base domain is us-east-1.aws.edge.axiom.co, the HEC endpoint is https://hec.us-east-1.aws.edge.axiom.co.
| Edge deployment | Base domain for ingest and query |
|---|---|
US East 1 (AWS) |
us-east-1.aws.edge.axiom.co |
EU Central 1 (AWS) |
eu-central-1.aws.edge.axiom.co |
This endpoint only supports API tokens. Personal access tokens (PATs) aren't supported. For more information, see Tokens.
/services/collector/rawSend the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.
Request body: text/plain. Raw event data. Each line becomes a separate event.
0 indicates success, 17 indicates a healthy collector, and 5, 6, and 7 indicate no data, invalid data format, and incorrect index respectively.code field identifies the Splunk error: 5 (no data), 6 (invalid data format), or 7 (incorrect index).curl -X POST 'https://hec.AXIOM_DOMAIN/services/collector/raw' \
-H 'Authorization: Bearer API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{}'{
"text": "Success",
"code": 0
}